Package org.bukkit.material

# Class ExtendedRails

java.lang.Object
org.bukkit.material.MaterialData
org.bukkit.material.Rails
org.bukkit.material.ExtendedRails

All Implemented Interfaces:
  `Cloneable`

Direct Known Subclasses:
  `DetectorRail`, `PoweredRail`

@Deprecated public class ExtendedRails extends Rails
Deprecated.
all usage of MaterialData is deprecated and subject to removal. Use `BlockData`.
This is the superclass for the `DetectorRail` and `PoweredRail` classes

## Constructor Summary

Constructors
Constructor
Description
`ExtendedRails(Material type)`
Deprecated.
`ExtendedRails(Material type, byte data)`
Deprecated.
Magic value

## Method Summary

Modifier and Type
Method
Description
`ExtendedRails`
`clone()`
Deprecated.
`protected byte`
`getConvertedData()`
Deprecated.
Magic value
`boolean`
`isCurve()`
Deprecated.
`void`
`setDirection(BlockFace face, boolean isOnSlope)`
Deprecated.
Set the direction of these tracks

### Methods inherited from class org.bukkit.material.Rails

`getDirection, isOnSlope, toString`

### Methods inherited from class org.bukkit.material.MaterialData

`equals, getData, getItemType, hashCode, setData, toItemStack, toItemStack`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ExtendedRails

public ExtendedRails(Material type)
Deprecated.

### ExtendedRails

@Deprecated public ExtendedRails(Material type, byte data)
Deprecated.
Magic value

Parameters:
  `type` - the type
  `data` - the raw data value

## Method Details

### isCurve

public boolean isCurve()
Deprecated.

Overrides:
  `isCurve` in class `Rails`
Returns:
  the whether this track is set as a curve

### getConvertedData

@Deprecated protected byte getConvertedData()
Deprecated.
Magic value
Return the data without the extended properties used by `PoweredRail` and `DetectorRail`. Overridden in `ExtendedRails`

Overrides:
  `getConvertedData` in class `Rails`
Returns:
  the data without the extended part

### setDirection

public void setDirection(BlockFace face, boolean isOnSlope)
Deprecated.
Description copied from class: `Rails`
Set the direction of these tracks

Note that tracks are bidirectional and that the direction returned is the ascending direction if the track is set on a slope. If it is set as a curve, the corner of the track should be supplied.

Overrides:
  `setDirection` in class `Rails`
Parameters:
  `face` - the direction the track should be facing
  `isOnSlope` - whether or not the track should be on a slope

### clone

public ExtendedRails clone()
Deprecated.

Overrides:
  `clone` in class `Rails`